#include <plib.h>
#include <stdio.h>
#include "disp.h"
#include "FSIO.h"
#include "config.h"
#include "apps.h"

/*
cp [src] [dst] -opt	-	copy src to dest
er [fil] -opt		- 	erase fil
re [fil] [dst] -opt	-	rename fil to dst
md [dir]			- 	make dir
rd [dir] -opt		-	remove dir
cd [dir]			-	change directory
ls -opt				- 	list files
bd [fil]			- 	binary dump file
ad [fil]			- 	ASCII dump file

ed [fil]			-	editor (lined text files)
as [fil]			-	assembler (cbf output)
pg [fil]			-	programmer (cbf input)
de [fil]			-	debugger (cbf input)
*id					- 	get ID
t0					-	terminal 0
te					-	terminal sel

cbf file format:
{
	~cbf
	[8 words config]
	[10 words device]
	[LEN]
	[LEN words binary]
	[LEN words debug info]
}

ps
	PT,	FK - 18FK
		18 - 18F
		FJ - 18FJ
	EB	eblock in words
	WB	wblock in words
	FW	flash to write in words
	FE	flash to erase in words
	FS	last flash valid address
	RU	last valid ram bank
	DC	debug clock

*/

unsigned char main_loop (unsigned char inp);
void main_init (void);

int main (void)
{
main_init();
INTEnableInterrupts();
while (1)
{
	main_loop(0);
}

}


